#
# spec file for package krdc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           krdc
Version:        17.03.90
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Remote Desktop Connection
License:        GPL-2.0+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Productivity/Networking/Remote Desktop
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  LibVNCServer-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  freerdp
BuildRequires:  freerdp-devel
BuildRequires:  oxygen5-icon-theme-large
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DNSSD)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
Requires:       breeze5-icons
Requires:       freerdp
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Krdc allows to connect to VNC and RDP compatible servers.

%package devel
Summary:        Development files for krdc
Group:          Development/Libraries/KDE
Requires:       krdc = %{version}

%description devel
Development libraries and headers needed to build software using krdc

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kf5 -d build
  make

%install
  %kf5_makeinstall -C build
  for i in 128 16 22 32 48 64
  do
     mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/${i}x${i}/apps
     cp %{_kf5_iconsdir}/oxygen/base/${i}x${i}/apps/krdc.png %{buildroot}%{_kf5_iconsdir}/hicolor/${i}x${i}/apps/
  done
  %suse_update_desktop_file -r org.kde.krdc         System   RemoteAccess

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/krdc
%{_libdir}/libkrdccore.so.*
%{_kf5_plugindir}/krdc/
%{_kf5_applicationsdir}/org.kde.krdc.desktop
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/krdc.kcfg
%{_kf5_htmldir}/en/krdc/
%{_kf5_iconsdir}/hicolor/*/apps/krdc.png
%{_datadir}/krdc/
%{_kf5_servicesdir}/krdc_vnc_config.desktop
%{_kf5_servicesdir}/vnc.protocol
%{_kf5_kxmlguidir}/krdc/
%{_kf5_servicesdir}/ServiceMenus/
%{_kf5_servicesdir}/krdc_rdp_config.desktop
%{_kf5_servicesdir}/rdp.protocol

%files devel
%defattr(-,root,root)
%{_includedir}/krdc/
%{_includedir}/krdccore_export.h
%{_libdir}/libkrdccore.so

%changelog
